spi_unregister_master
Prev | Chapter 29. Serial Peripheral Interface (SPI) | Next

## Name

spi_unregister_master — unregister SPI master controller

## Synopsis

`void spi_unregister_master (` | struct spi_master * | master`)`;

## Arguments

`master`

  the master being unregistered

## Context

can sleep

## Description

This call is used only by SPI master controller drivers, which are the only ones directly touching chip registers.

This must be called from context that can sleep.

Prev | Up | Next
spi_register_master | Home | spi_busnum_to_master